//: C03:StrVelikost.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
#include <string>
#include <iostream>
using namespace std;

int main() {
  string velkaNovina("Já jsem viděl UFO, které uneslo Elvise. ");
  cout << velkaNovina << endl;
  // Jak velká data ve skutečnosti máme?
  cout << "Velikost = " << velkaNovina.size() << endl;
  // Kolik můžeme uložit bez zvětšení velikosti?
  cout << "Kapacita = " << velkaNovina.capacity() << endl;
  // Vložit tento řetězec do velkaNovina hned 
  // před velkaNovina[2]:
  velkaNovina.insert(2, " myslel, že");
  cout << velkaNovina << endl;
  cout << "Velikost = " << velkaNovina.size() << endl;
  cout << "Kapacita = " << velkaNovina.capacity() << endl;
  // Zajistit, že bude dost místa
  velkaNovina.reserve(500);
  // Tohle přidat na konec řetězce:
  velkaNovina.append("Příliš jsem pracoval.");
  cout << velkaNovina << endl;
  cout << "Velikost = " << velkaNovina.size() << endl;
  cout << "Kapacita = " << velkaNovina.capacity() << endl;
} ///:~
